# checkbox class Check box with a text description
Inherits
object button
Description
This widget provides a check box - it is a kind of a toggle button. It can have two states: on (checked) and off (unchecked).
Functions
`<bool> $isChecked()`
Returns '1' if the check box is checked, '0' otherwise. See also $setChecked().
`$setChecked([<bChecked:bool>])`
Sets the check box 'checked state' to <bool>. See also $isChecked().
`$setText([<text:string>])`
Sets the label text associated with the checkbox to <text>.
`$toggleEvent(<bToggled:bool>)`
Called by KVIrc when the checkbox state is toggled. The default implementation emits the toggled(<bool>) signal.

Index, Object Classes

KVIrc 4.2.0.6190 Documentation
Generated by nobody at Mon May 20 10:11:32 2013